# -*- coding: utf-8 -*-
from datetime import date
from plone.app.registry.browser.controlpanel import ControlPanelFormWrapper
from plone.app.registry.browser.controlpanel import RegistryEditForm
from plone.z3cform import layout
from zope import schema
from zope.interface import Interface


class IConferenceControlPanel(Interface):

    tracks = schema.Tuple(
        title=u'Available Tracks for the conference',
        default=(u'Track 1', u'Track 2', u'Track 3'),
        missing_value=None,
        required=False,
        value_type=schema.TextLine(),
    )

    talk_durations = schema.Tuple(
        title=u'Available Durations for presentations',
        default=(u'Long Talk', u'Short Talk', u'Demo'),
        missing_value=None,
        required=False,
        value_type=schema.TextLine(),
    )

    training_durations = schema.Tuple(
        title=u'Available Durations for training classes',
        default=(u'1/2 Day', u'1 Day', u'2 Day'),
        missing_value=None,
        required=False,
        value_type=schema.TextLine(),
    )


class ConferenceControlPanelForm(RegistryEditForm):
    schema = IConferenceControlPanel
    schema_prefix = "conferencepolicy"
    label = u'Conference Settings'


ConferenceControlPanelView = layout.wrap_form(
    ConferenceControlPanelForm, ControlPanelFormWrapper)